











































































      INTEGER   MAXGENIVL, MAXGENRVL
      PARAMETER (MAXGENIVL=1000)
      PARAMETER (MAXGENRVL=1000)

      INTEGER   GENIVL(MAXGENIVL), MAGEN20(20,20), MBGEN20(20,20)
      REAL      GENRVL(MAXGENRVL)

      COMMON    /GENIVAL/ GENIVL, MAGEN20, MBGEN20
      COMMON    /GENRVAL/ GENRVL
